package Zive_Tvory.Stavovce;
import Zive_Tvory.Tvor;
import Zive_Tvory.Stavovce.Stavovce_diely.Chrbtica;


import java.util.Date;

public class Stavovec extends Tvor {
    protected Chrbtica chrbticaStavovca;
    protected System[] sustavaStavovca;

    public Stavovec(int pocetStavovcov)
    {
        chrbticaStavovca = new Chrbtica(pocetStavovcov);
        createSustavy();
    }
    public void createSustavy()
    {
        sustavaStavovca = new System[8];
        sustavaStavovca[0] = new ObehovaSustava(SystemType.OBEHOVA);
        sustavaStavovca[1] = new TravaciaSustava(SystemType.TRAVACIA);
        sustavaStavovca[2] = new VylucovaciaSustava(SystemType.VYLUCOVACIA);
        sustavaStavovca[3] = new PohybovaSustava(SystemType.POHYBOVA);
        sustavaStavovca[4] = new Nervova_sustava_stavovec_default(SystemType.NERVOVA);
        sustavaStavovca[5] = new RozmnozovaciaSustava(SystemType.ROZMNOZOVACIA);
        sustavaStavovca[6] = new DychaciaSustava(SystemType.DYCHACIA);
        sustavaStavovca[7] = new OpornaSustava(SystemType.OPORNA);
    }

    public System[] getSustavyStavovca()
    {
        return sustavaStavovca;
    }

    @Override
    public void Hybsa(int directionX, int directionY, int directionZ)
    {

    }

    @Override
    public void born(Date dayOfBirth) {

    }

    @Override
    public void die(Date dayOfDeath) {

    }
}
